import * as React from 'react';
import { ExtensionSlot, LayoutProps, Menu } from 'piral';
import Logo from './Logo';
import Footer from './Footer';

const App: React.FC<LayoutProps> = ({ children }) => (
  <>
    <header className="Header">
      <Logo />
      <Menu type="general" />
      <ExtensionSlot name="header-items" />
    </header>
    <main className="Main">{children}</main>
    <Footer />
  </>
);

export default App;
