import * as React from 'react';
import authService from './api-authorization/AuthorizeService';

const FetchData: React.FC = () => {
  const textArea = React.useRef<HTMLTextAreaElement>();
  const [token, setToken] = React.useState('');

  const copyToClipboard = () => {
    if (!textArea) return;
    textArea.current.select();
    document.execCommand('copy');
  };

  React.useEffect(() => {
    const UpdateToken = async () => {
      const token = await authService.getAccessToken();
      if (token) setToken(token);
    };
    UpdateToken();
  }, []);

  return <textarea ref={textArea} onClick={copyToClipboard} value={'Bearer ' + token} readOnly={true} />;
};

export default FetchData;
