import * as React from 'react';
import { Login } from './Login';
import { Logout } from './Logout';
import { ApplicationPaths, LoginActions, LogoutActions } from './ApiAuthorizationConstants';

interface AuthRoute {
  path: string;
  component: React.FC<any>;
}

const routes: AuthRoute[] = [
  { path: ApplicationPaths.Login, component: () => loginAction(LoginActions.Login) },
  { path: ApplicationPaths.LoginFailed, component: () => loginAction(LoginActions.LoginFailed) },
  { path: ApplicationPaths.LoginCallback, component: () => loginAction(LoginActions.LoginCallback) },
  { path: ApplicationPaths.Profile, component: () => loginAction(LoginActions.Profile) },
  { path: ApplicationPaths.Register, component: () => loginAction(LoginActions.Register) },
  { path: ApplicationPaths.LogOut, component: () => logoutAction(LogoutActions.Logout) },
  { path: ApplicationPaths.LogOutCallback, component: () => logoutAction(LogoutActions.LogoutCallback) },
  { path: ApplicationPaths.LoggedOut, component: () => logoutAction(LogoutActions.LoggedOut) },
];

export default routes;

function loginAction(name) {
  return <Login action={name}></Login>;
}

function logoutAction(name) {
  return <Logout action={name}></Logout>;
}
