import 'piral/polyfills';
import { renderInstance } from 'piral';
import { layout, errors } from './layout';
import ApiAuthorizationRoutes from './components/api-authorization/ApiAuthorizationRoutes';
import FetchData from './components/FetchData';
import { createAxiosApi } from 'piral-axios';
import authService from './components/api-authorization/AuthorizeService';

const feedUrl = 'https://feed.piral.cloud/api/v1/pilet/piraltube';

authService.getAccessToken().then(main);

function main(token: string) {
  const axiosConfig = {
    baseUrl: '',
    headers: {
      authorization: `Bearer ${token}`,
    },
  };

  const { root } = renderInstance({
    layout,
    errors,
    plugins: [createAxiosApi(axiosConfig)],
    requestPilets() {
      return fetch(feedUrl)
        .then(res => res.json())
        .then(res => res.items);
    },
  });

  for (const { path, component } of ApiAuthorizationRoutes) {
    root.registerPage(path, component);
  }

  root.registerPage('/fetch-data', FetchData);
}
